#!/bin/bash

# valgrind -v --log-file=grind.log build/space-ace -l -u grinder

# start in background
# valgrind -v --leak-check=full --show-leak-kinds=all --log-file=grind.log build/twproxy grind.yaml &

# valslow:
# valgrind -v --leak-check=full --track-origins=yes --leak-resolution=high --read-var-info=yes --read-inline-info=yes --show-leak-kinds=all --log-file=grind.log build/twproxy grind.yaml &

# valgrind -v --leak-check=full --leak-resolution=high --show-leak-kinds=all --log-file=grind.log build/twproxy grind.yaml &

valgrind -v --leak-check=full --leak-resolution=high --show-leak-kinds=all --log-file=grind.log build/twproxy grind.yaml 

tail grind.log
